Bug 1875232 (CVE-2020-2230) - CVE-2020-2230 jenkins: stored XSS vulnerability in project naming strategy
Summary: CVE-2020-2230 jenkins: stored XSS vulnerability in project naming strategy
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-2230
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1875233 1869646 1875257 1875258 1875259 1875260 1875261 1877292
Blocks: 1874833
TreeView+ depends on / blocked
 
Reported: 2020-09-03 04:59 UTC by msiddiqu
Modified: 2020-10-22 10:48 UTC (History)
22 users (show)

Fixed In Version: Jenkins 2.252, Jenkins-LTS 2.235.4
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Jenkins in versions prior to 2.251 and LTS 2.235.3. The project naming strategy description, displayed on item creation, is not properly escaped. This can result in a stored cross-site scripting (XSS) vulnerability exploitable by users with Overall/Manage permissions. The highest threat from this vulnerability is to data confidentiality and integrity.
Clone Of:
Environment:
Last Closed: 2020-09-30 20:21:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3841 None None None 2020-09-30 18:54:57 UTC
Red Hat Product Errata RHSA-2020:4220 None None None 2020-10-13 08:04:22 UTC
Red Hat Product Errata RHSA-2020:4223 None None None 2020-10-22 10:48:30 UTC

Description msiddiqu 2020-09-03 04:59:38 UTC
Jenkins 2.251 and earlier, LTS 2.235.3 and earlier does not escape the project naming strategy description that is displayed on item creation. This results in a stored cross-site scripting (XSS) vulnerability exploitable by users with Overall/Manage permission.

Comment 1 msiddiqu 2020-09-03 04:59:43 UTC
External References:

https://jenkins.io/security/advisory/2020-08-12/#SECURITY-1957

Comment 2 msiddiqu 2020-09-03 05:00:12 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-31 [bug 1875233]

Comment 5 errata-xmlrpc 2020-09-30 18:54:55 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.5

Via RHSA-2020:3841 https://access.redhat.com/errata/RHSA-2020:3841

Comment 6 Product Security DevOps Team 2020-09-30 20:21:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-2230

Comment 7 errata-xmlrpc 2020-10-13 08:04:20 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.4

Via RHSA-2020:4220 https://access.redhat.com/errata/RHSA-2020:4220

Comment 10 errata-xmlrpc 2020-10-22 10:48:27 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2020:4223 https://access.redhat.com/errata/RHSA-2020:4223


Note You need to log in before you can comment on or make changes to this bug.